<template lang="pug">
div
  z-container
    global-styled-component
    z-columns
      z-column(:size="12" style="box-shadow: 0px 6px 20px rgba(0, 0, 0, 0.06);")
        heading
      z-column(:size="12" style="display:grid;grid-template-columns:1fr auto;")
        //- Ensure each page has a main landmark to provide a mechanism to bypass repeated blocks of content or interface elements
        main
          //- Content goes here
          nuxt(v-if="!$slots.default")
          slot          
        notifications-drawer(v-if="isAuthenticated")
  footing.mt-20
</template>

<script>
import { mapState } from 'vuex'

import environment from '~/mixins/environment'

import GlobalStyledComponent from '~/components/GlobalStyledComponent.vue'
import Heading from '~/components/Heading.vue'
import Footing from '~/components/Footing.vue'
import NotificationsDrawer from '~/components/NotificationsDrawer.vue'

export default {
  components: {
    GlobalStyledComponent,
    Heading,
    Footing,
    NotificationsDrawer
  },
  mixins: [environment],
  computed: {
    ...mapState('auth', ['isAuthenticated'])
  }
}
</script>

<style>
body {
  background: rgba(var(--color-background), 1);
  color: rgba(var(--color-text), 1);
}
html {
  /* Font adjustments */
  font-size: responsive 12px 20px;
  font-range: 420px 1280px; /* viewport widths between which font-size is fluid */
  font-size-adjust: 0.5;
  word-spacing: 1px;
  /* Smoothing */
  text-rendering: optimizeLegibility;
  font-smoothing: antialiased;
  text-shadow: rgba(0, 0, 0, 0.01) 0 0 1px;
  scrollbar-color: rgba(var(--color-primary), 0.2) rgba(var(--color-background));
}
main {
  max-width: 100vw;
}
</style>

<style scoped>
.container {
  margin: 0 auto;
  padding: 0;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  text-align: center;
}
.column {
  padding: 0;
}
.columns {
  width: 100%;
  flex-direction: column;
}
</style>
